Skip to main content
GET
/
api
/
v1
/
markets
/
{id}
/
trades
Get market trades
curl --request GET \
  --url https://v2.api.adj.news/api/v1/markets/{id}/trades \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "trade_id": "<string>",
      "timestamp": "2023-11-07T05:31:56Z",
      "price": 123,
      "count": 123,
      "side": "<string>",
      "volume": 123
    }
  ],
  "total": 123
}
Retrieve recent trading activity for a specific market.

Path Parameters

id
string
required
The unique market identifier.

Query Parameters

limit
integer
default:100
Maximum number of trades to return (1-1000).

Response

{
  "data": [
    {
      "trade_id": "abc123def456",
      "timestamp": "2026-02-08T21:30:00Z",
      "price": 5,
      "count": 10,
      "side": "yes",
      "volume": 0.50
    }
  ],
  "total": 1
}
FieldTypeDescription
trade_idstringUnique trade identifier
timestampdatetimeTime the trade was executed
pricenumberTrade price (0-100 probability scale)
countnumberNumber of contracts traded
sidestringyes or no
volumenumberDollar volume

Example

curl "https://v2.api.adj.news/api/v1/markets/SENATECO-26-R/trades?limit=100" \
  -H "Authorization: Bearer YOUR_TOKEN"

Error

StatusDescription
404Market not found

Authorizations

Authorization
string
header
required

Auth0 JWT Bearer token

Path Parameters

id
string
required

Market ID

Query Parameters

limit
integer
default:100

Max trades to return

Response

200 - application/json

List of trades

data
object[]
total
integer